/*===== GOOGLE FONTS =====*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");
/*===== VARIABLES CSS =====*/
:root {
  --header-height: 3rem;
  /*========== Colors ==========*/
  --first-color: #e19e35;
  --first-color-alt: #925d07;
  --title-color: #393939;
  --text-color: #707070;
  --text-color-light: #A6A6A6;
  --body-color: #FFFFFF;
  --container-color: #FFFFFF;
  /*========== Font and typography ==========*/
  --body-font: 'Poppins', sans-serif;
  --biggest-font-size: 1.8rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;
  /*========== Font weight ==========*/
  --font-medium: 500;
  --font-semi-bold: 600;
  /*========== Margenes ==========*/
  --mb-1: .5rem;
  --mb-2: 1rem;
  --mb-3: 1.5rem;
  --mb-4: 2rem;
  --mb-5: 2.5rem;
  --mb-6: 3rem;
  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

@media screen and (min-width: 768px) {
  :root {
    --biggest-font-size: 2.5rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
  }


}

/*========== BASE ==========*/
*, ::before, ::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

/*========== Variables Dark theme ==========*/
body.dark-theme {
  --title-color: #F1F3F2;
  --text-color: #C7D1CC;
  --body-color: #1D2521;
  --container-color: #27302C;
}

/*========== Button Dark/Light ==========*/
.change-theme {
  position: absolute;
  right: 1rem;
  top: 1.8rem;
  color: var(--text-color);
  font-size: 1rem;
  cursor: pointer;
}


nav img {
  width: 100px;
  height: 80px;
  object-fit: contain;
}
 
.services__content i {
  font-size: 50px;
  color: #e49a24;
}

body {
  margin: var(--header-height) 0 0 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
  line-height: 1.6;
}

.home__data{
  display: block;
}

h1, h2, h3, ul, p {
  margin: 0;
}

ul {
  padding: 0;
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

.dividerlinecontainer {
  display: flex;
  justify-content: center;
  text-align: center;
  margin-top: 50px;
  padding: 20px;
  width: 100vw;
  height: 1px;
}

.dividerline {
  justify-content: center;
  text-align: center;
  background-color: rgb(237, 237, 237);
  width: 70vw;
  height: 2px;
}

/*========== CLASS CSS ==========*/
.section {
  padding: 4rem 0 2rem;
}

.section-title, .section-subtitle {
  text-align: center;
}

.section-title {
  font-size: var(--h1-font-size);
  color: var(--title-color);
  margin-bottom: var(--mb-3);
}

.section-subtitle {
  display: block;
  color: var(--first-color);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-1);
}



/*========== LAYOUT ==========*/
.bd-container {
  max-width: 960px;
  width: calc(100% - 2rem);
  margin-left: var(--mb-2);
  margin-right: var(--mb-2);
}

.bd-grid {
  display: grid;
  gap: 1.5rem;
}

.l-header {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: var(--body-color);
  padding: 10px;
}

/*========== NAV ==========*/
.nav {
  max-width: 1024px;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

@media screen and (max-width: 768px) {

  .section-menutitle {
    padding: 40px;
    font-size: 18px!important;
    color: var(--title-color);
  }


  .menucta {
    display: grid!important;
    text-align: center;
    justify-content: center;
    gap: 10px!important;
  }

  .home__data{
    display: block;
    justify-content: center;
    text-align: center;
  }

 
  .nav__menu {
    position: fixed;
    top: -100%;
    left: 0;
    width: 100%;
    padding: 1.5rem 0 1rem;
    text-align: center;
    background-color: var(--body-color);
    transition: .4s;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1);
    border-radius: 0 0 1rem 1rem;
    z-index: var(--z-fixed);
  }

  .darkmode {
    display: none;
  }

  .qrcode img {
    display: none;
  }

  .about__data {
    padding-left: 20px;
    padding-right: 20px;
  }

  .app__data {
    padding-left: 20px;
    padding-right: 20px;
  }

  .contact__data {
    padding-left: 20px;
    padding-right: 20px;
  }

}

.nav__item {
  margin-bottom: var(--mb-2);
}

.nav__link, .nav__logo, .nav__toggle {
  color: var(--text-color);
  font-weight: var(--font-medium);
}

.nav__logo:hover {
  color: var(--first-color);
}

.nav__link {
  transition: .3s;
}

.nav__link:hover {
  color: var(--first-color);
}

.nav__toggle {
  font-size: 1.3rem;
  cursor: pointer;
}

/* Show menu */
.show-menu {
  top: calc(var(--header-height) + .5rem) ;
}

/* Active menu */
.active-link {
  color: var(--first-color);
}

/* Change background header */
.scroll-header {
  width: 100vw;
  background: white;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1)!important;
}

/* Scroll top */
.scrolltop {
  position: fixed;
  right: 1rem;
  bottom: -20%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: .3rem;
  background: rgba(6, 156, 84, 0.5);
  border-radius: .4rem;
  z-index: var(--z-tooltip);
  transition: .4s;
  visibility: hidden;
}

.scrolltop:hover {
  background-color: var(--first-color-alt);
}

.scrolltop__icon {
  font-size: 1.8rem;
  color: var(--body-color);
}

.show-scroll {
  visibility: visible;
  bottom: 1.5rem;
}

/*========== HOME ==========*/
.home__container {
  height: calc(100vh - var(--header-height));
  align-content: center;
}

.home__title {
  font-size: var(--biggest-font-size);
  color: var(--first-color);
  margin-bottom: var(--mb-1);
  font-weight: 200;
}

.home__subtitle {
  font-size: var(--h1-font-size);
  color: var(--title-color);
  margin-bottom: var(--mb-4);
}

.home__img {
  width: 300px;
  justify-self: center;
}

/*========== BUTTONS ==========*/
.button {
  display: inline-block;
  background-color: var(--first-color);
  color: #FFF;
  padding: .75rem 1rem;
  border-radius: .5rem;
  transition: .3s;
}

.button:hover {
  background-color: var(--first-color-alt);
}

.menucta {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100vw;
  margin-top: 30px;
  gap: 50px;
}

.section-menutitle {
  font-size: 20px;
  color: var(--title-color);
}

.buttonmenu {
  text-align: center;
  width: 200px;
  background-color: var(--first-color);
  color: #FFF;
  padding: .75rem 1rem;
  border-radius: .5rem;
  transition: .3s;
}

.buttonmenu:hover {
  background-color: var(--first-color-alt);
}

/*========== ABOUT ==========*/
.about__data {
  text-align: center;
}

.about__description {
  margin-bottom: var(--mb-3);
}

.about__img {
  width: 280px;
  border-radius: .5rem;
  justify-self: center;
}

/*========== SERVICES ==========*/
.services__container {
  row-gap: 2.5rem;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
}

.services__content {
  text-align: center;
}

.services__img {
  width: 64px;
  height: 64px;
  fill: var(--first-color);
  margin-bottom: var(--mb-2);
}

.services__title {
  font-size: var(--h3-font-size);
  color: var(--title-color);
  margin-bottom: var(--mb-1);
}

.services__description {
  padding: 0 1.5rem;
}

/*========== MENU ==========*/
.menu__container {
  grid-template-columns: repeat(1, 290px);
  justify-content: center;
}

.menu__content {
  position: relative;
  display: flex;
  flex-direction: column;
  background-color: var(--container-color);
  border-radius: .5rem;
  box-shadow: 0 2px 4px rgba(3, 74, 40, 0.15);
  padding: .75rem;
}

.menu__img {
  width: 100px;
  align-self: center;
  margin-bottom: var(--mb-2);
}

.menu__name, .menu__preci {
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
}

.menu__name {
  font-size: var(--normal-font-size);
}

.menu__detail, .menu__preci {
  font-size: var(--small-font-size);
}

.menu__detail {
  margin-bottom: var(--mb-1);
}

.menu__button {
  position: absolute;
  bottom: 0;
  right: 0;
  display: flex;
  font-size: 1.25rem;
  padding: .625rem .813rem;
  border-radius: .5rem 0 .5rem 0;
}

/*========== APP ==========*/
.app__data {
  text-align: center;
}

.app__description {
  margin-bottom: var(--mb-5);
}

.app__stores {
  margin-bottom: var(--mb-4);
}

.app__store {
  width: 120px;
  margin: 0 var(--mb-1);
}

.app__img {
  width: 230px;
  justify-self: center;
}

/*========== CONTACT ==========*/
.contact__container {
  text-align: center;
}

.contact__description {
  margin-bottom: var(--mb-3);
}

/*========== FOOTER ==========*/
.footer__container {
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  row-gap: 2rem;
  
}

.qrcode img {
  margin-top: -15px;
  margin-left: -20px;
}

.footer__logo {
  font-size: var(--h3-font-size);
  color: var(--first-color);
  font-weight: var(--font-semi-bold);
}

.footer__description {
  display: block;
  font-size: var(--small-font-size);
  margin: 0.25rem 0 var(--mb-3);
}

.footer__social {
  font-size: 1.5rem;
  color: var(--title-color);
  margin-right: var(--mb-2);
}

.footer__title {
  font-size: var(--h2-font-size);
  color: var(--title-color);
  margin-bottom: var(--mb-2);
}

.footer__link {
  display: inline-block;
  color: var(--text-color);
  margin-bottom: var(--mb-1);
}

.footer__link:hover {
  color: var(--first-color);
}

.footer__copy {
  text-align: center;
  font-size: var(--small-font-size);
  color: var(--text-color-light);
  margin-top: 3.5rem;
}

/*========== MEDIA QUERIES ==========*/
@media screen and (min-width: 576px) {
  .home__container,
  .about__container,
  .app__container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
  }

  .about__data, .about__initial,
  .app__data, .app__initial,
  .contact__container, .contact__initial {
    text-align: initial;
  }
  .about__img, .app__img {
    width: 380px;
    order: -1;
  }
  .contact__container {
    grid-template-columns: 1.75fr 1fr;
    align-items: center;
  }
  .contact__button {
    justify-self: center;
  }
}


@media screen and (min-width: 200px) and (max-width: 768px) {
  .menu__img {
    width: 230px;
  }
}



@media screen and (min-width: 768px) {
  body {
    margin: 0;
  }
  .section {
    padding-top: 8rem;
  }
  .nav {
    height: calc(var(--header-height) + 1.5rem);
  }
  .nav__list {
    display: flex;
    font-size: 14px;
  }
  .nav__item {
    margin-left: var(--mb-5);
    margin-bottom: 0;
    
  }
  .nav__toggle {
    display: none;
  }
  .change-theme {
    position: initial;
    margin-left: var(--mb-2);
  }
  .home__container {
    height: 100vh;
    justify-items: center;
  }
  .services__container,
  .menu__container {
    margin-top: var(--mb-6);
  }
  .menu__container {
    grid-template-columns: repeat(3, 230px);
    column-gap: 2rem;
  }
  .menu__content {
    padding: 1.5rem;
  }
  .menu__img {
    width: 160px;
  }
  .app__store {
    margin: 0 var(--mb-1) 0 0;
  }
}

@media screen and (min-width: 760px) and (max-width: 1000px) {
  .home__container {
    height: 70vh !important;
    margin-bottom: -150px!important;
  }
}

@media screen and (min-width: 960px) {

  .bd-container {
    margin-left: auto;
    margin-right: auto;
  }
  .home__img {
    width: 500px;
  }
  .about__container, .app__container {
    column-gap: 7rem;
  }
}

/* For tall screens on mobiles y desktop*/
/* @media screen and (min-height: 721px) {
  .home__container {
    height: 640px;
  }
} */
